# $Revision: 1.39 $, $Date: 2008/10/03 18:05:16 $
Summary:	News aggregator
Summary(pl.UTF-8):	Narzędzie zbierające wiadomości
Name:		straw
Version:	0.27
Release:	3
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/straw/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	d21249c82b14570fe2c61e114d1d2ea7
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/projects/straw/
BuildRequires:	libglade2-devel >= 2.0.1
BuildRequires:	libgnomeui-devel >= 2.4.0
BuildRequires:	python >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2 >= 2.4.0
Requires:	NetworkManager
Requires:	python-adns
Requires:	python-gnome-extras-egg
Requires:	python-gnome-extras-gtkhtml
Requires:	python-gnome-gconf
Requires:	python-gnome-ui
Requires:	python-gnome-vfs
%pyrequires_eq	python-modules
Requires:	python-pygtk-glade >= 2:2.8.0
Requires:	python-pyorbit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
News aggregators read news, weblog or other feeds over the web and
aggregate them so the news items are readable from a single place,
regardless of their source. The data format aggregators utilize to do
their job is called RSS, standing either for Really Simple Syndication
or RDF Site Summary, depending on who you ask. At the moment, there
are two different, incompatible specifications, with different
objectives: RSS 0.9x/RSS 2.0 and RSS 1.0. Straw supports both of them.

To find feeds to subscribe to, look for a white on orange XML icon,
XML icon, on web sites. You could also use a centralized syndication
service, such as Syndic8.com.

%description -l pl.UTF-8
Narzędzia zbierające czytają wiadomości, logi sieciowe lub inne źródła
z sieci i zbierają je, dzięki czemu wszystkie wiadomości są dostępne
do czytania w jednym miejscu, niezależnie od źródła. Narzędzia te
używają formatu danych o nazwie RSS (Really Simple Syndication lub RDF
Site Summary - jak kto woli). Aktualnie są dwie różne, niekompatybilne
specyfikacje, o różnych celach: RSS 0.9x/RSS 2.0 oraz RSS 1.0. Straw
obsługuje oba.

Aby znaleźć źródła do których można się zapisać, należy szukać
biało-pomarańczowych ikonek XML na stronach WWW. Można także
skorzystać z centralnego serwisu takiego jak Syndic8.com.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--install-purelib=%{py_sitedir} \
	--optimize=2 \
	--disable-modules-check \
	--disable-schemas-install

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{name}/*.py
install -D data/straw.schemas $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/straw.schemas

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install straw.schemas

%preun
%gconf_schema_uninstall straw.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS TODO
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{py_sitedir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: straw.spec,v $
Revision 1.39  2008/10/03 18:05:16  arekm
- release 3

Revision 1.38  2008/07/07 09:03:25  blues
- rel.2 - crazy, it _requires_ whole NetworkManager :-/

Revision 1.37  2007/12/16 14:43:46  qboosh
- unified gnome.org source dir
- some python deps
- GPL v2+

Revision 1.36  2007-12-16 13:59:21  radek
- R: python-gnome-extras-egg

Revision 1.35  2007-12-16 13:52:47  radek
- version 0.27

Revision 1.34  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.32  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.31  2005/04/29 18:31:02  paladine
- new style macros, rel. 5

Revision 1.30  2004/12/26 18:38:30  saq
- strict python deps, release 4

Revision 1.29  2004/11/22 21:13:36  paladine
- added desktop patch
- rel 3

Revision 1.28  2004/11/14 21:48:36  havner
- rel up for rebuild with python-pygtk

Revision 1.27  2004/07/28 08:03:20  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.26  2004/05/01 10:49:38  grzegol
- updated to 0.23

Revision 1.25  2004/02/20 22:11:46  grzegol
- updated to 0.22.1
- removed R: python-mx-DateTime

Revision 1.24  2004/02/17 23:59:26  grzegol
- updated to 0.22
- removed outdated python patch
- more BRs, Rs
- changed locale name no -> nb

Revision 1.23  2003/11/14 10:49:58  grzegol
- updated to 0.21.1

Revision 1.22  2003/11/14 10:25:21  grzegol
- updated to 0.21

Revision 1.21  2003/11/03 00:37:00  wrobell
- adns module is optional

Revision 1.20  2003/11/01 12:04:10  grzegol
- updated to 0.20
- removed outdated sax_handler patch
- added %%gconf_schema_install in %%post

Revision 1.19  2003/09/08 10:09:45  wrobell
- ver. 0.19.2

Revision 1.18  2003/08/21 20:20:12  grzegol
- updated to 0.19.1

Revision 1.17  2003/08/19 21:24:38  wrobell
- fixed install requirements

Revision 1.16  2003/08/18 09:02:02  wrobell
- python-modules 2.3 provides bsddb module
- rel. 0.2

Revision 1.15  2003/08/17 10:51:11  grzegol
- updated to 0.19

Revision 1.14  2003/07/07 13:20:22  qboosh
- use _desktopdir macro

Revision 1.13  2003/05/27 11:52:18  trojan
- added Source-md5

Revision 1.12  2003/05/25 06:27:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/05 20:01:47  wiget
- up to 0.17

Revision 1.10  2003/01/18 22:57:39  juandon
- removed two lines with define

Revision 1.9  2003/01/06 06:22:15  wiget
- updated to 0.15

Revision 1.8  2002/11/25 09:47:45  wrobell
- ver. 0.13.2

Revision 1.7  2002/11/18 17:08:06  wiget
- updated to 0.13.1

Revision 1.6  2002/10/28 17:16:58  wiget
- updated to 0.12
- R: python-gnome-vfs

Revision 1.5  2002/10/24 14:44:35  qboosh
- pl description

Revision 1.4  2002/10/21 16:29:02  wiget
- R: python-gnome-gtkhtml

Revision 1.3  2002/10/18 10:46:01  wrobell
- added patch, so Straw can be with on Python 2.2.x
- fixed install requirements

Revision 1.2  2002/10/18 09:59:01  wrobell
- make s/python2.2/python/g patch
- recompile straw python modules, so there will be *.pyo files installed
  and paths will be correct when exception is thrown

Revision 1.1  2002/10/15 22:51:31  wrobell
- based on template, nfy
